Installation Media - Feature Request #2900

add 'cryptsetup’ to openRC LivelSOs
2020-09-21 07:41 AM - blugeminii

Status: open % Done: 0%

Priority: wish

Assignee:

Category: OpenRC

Description

Live ISO image for openRC does not contain cryptsetup, while the systemd version does. See attached copies of package lists from
the ISOs.

Related issues:

Related to Installation Media - Bug #2633: cryptsetup not available on CLI Op... not-a-bug

History

#1 - 2020-09-22 08:43 AM - bill-auger

- Priority changed from bug to wish

- Status changed from unconfirmed to open

- Category set to OpenRC

- Subject changed from 'cryptsetup’ missing from openRC images to add ‘cryptsetup' to openRC LivelSOs
- Project changed from Packages to Installation Media

- Tracker changed from Bug to Feature Request

that is because systemd depends on cryptsetup explicitly - it

was not an oversight - people have requested it though - i have
added cryptsetup to the parabola-base meta-package; so the next
LivelSOs may have it

for now, to install cryptsetup into a running parabola live system:

# 1ln —-s /run/parabolaiso/bootmnt/parabola/boot/x86_64/vmlinuz /boot/vmlinuz-linux-libre
# pacman -S cryptsetup

#2 - 2020-09-22 08:45 AM - bill-auger
- Related to Bug #2633: cryptsetup not available on CLI OpenRC iso added

#3 - 2021-06-23 09:19 PM - bill-auger
there are a few more manual steps now, until the ISO are replaced

the glibc on the 2020-08 openrc ISOs is incompatible with the latest cryptsetup
and the latest 'rp-pppoe’ has unsatisfoable deps

to install cryptsetup onto one of these live systems, requires upgrading the entire live system, which requires mounting a scratch disk (a partition other

than the install target)

# mkdir /scratch

# mount /dev/sdXN /scratch

# mv /var/lib/pacman /scratch/pacman-1ib

# mv /var/cache/pacman /scratch/pacman—-cache
# 1ln -s /scratch/pacman-1lib /var/lib/pacman

# 1ln —-s /scratch/pacman-cache /var/cache/pacman
In -s /run/parabolaiso/bootmnt/parabola/boot/x86_64/vmlinuz-linux-libre /boot/

pacman —-R rp-pppoe
pacman -Sy parabola-keyring
pacman -—-Su
pacman —-S cryptsetup
